## org.eclipse.datatools.sqltools.sqlbuilder.util
Class FileUtil

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.util.FileUtil

    public class FileUtil

extends java.lang.Object

Constructor Summary
`FileUtil()`

Method Summary
`static java.lang.String` `getContents(java.io.InputStream ins)` Reads the contents of a stream and packs them into a return string
`static java.lang.String` `getFileContents(org.eclipse.core.resources.IFile file)` Loads a file and puts contents into a string
`static java.lang.String` `getFileContents(java.lang.String fileName)` Loads a file and puts contents into a string

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileUtil

    public FileUtil()

Method Detail

### getContents

    public static java.lang.String getContents(java.io.InputStream ins)
                                        throws java.io.IOException

  Reads the contents of a stream and packs them into a return string

  Parameters:
    `ins` - The `InputStream` to read
  Returns:
    String The contents of the stream
  Throws:
    `java.io.IOException`
    `java.lang.Exception` - If a file read error occurs

### getFileContents

    public static java.lang.String getFileContents(org.eclipse.core.resources.IFile file)
                                            throws java.io.IOException,
                                                   org.eclipse.core.runtime.CoreException

  Loads a file and puts contents into a string

  Parameters:
    `file` -
  Returns:
  Throws:
    `org.eclipse.core.runtime.CoreException`
    `java.io.IOException`

### getFileContents

    public static java.lang.String getFileContents(java.lang.String fileName)
                                            throws java.io.IOException,
                                                   org.eclipse.core.runtime.CoreException

  Loads a file and puts contents into a string

  Parameters:
    `fileName` -
  Returns:
  Throws:
    `org.eclipse.core.runtime.CoreException`
    `java.io.IOException`